import json

def ensure_str(obj):
    if isinstance(obj,bytes):
        return obj.decode('utf8')
    else:
        return obj


def ensure_dict(obj):
    if isinstance(obj,str):
        return json.loads(obj)
    else:
        return obj